次の方法で共有


Api Versions - Get

API バージョンの詳細を返します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiCenter/services/{serviceName}/workspaces/{workspaceName}/apis/{apiName}/versions/{versionName}?api-version=2024-03-01

URI パラメーター

名前 / 必須 説明
apiName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

API の名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

serviceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

Azure API Center サービスの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

versionName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

API バージョンの名前。

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

ワークスペースの名前。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

ApiVersion

Azure 操作は正常に完了しました。

ヘッダー

ETag: string

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

ApiVersions_Get

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api/versions/2023-01-01?api-version=2024-03-01

応答のサンプル

{
  "type": "Microsoft.ApiCenter/services/workspaces/apis/versions",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api/versions/2023-01-01",
  "name": "2023-01-01",
  "systemData": {
    "createdAt": "2023-07-03T18:27:09.128871Z",
    "lastModifiedAt": "2023-07-03T18:27:09.1288716Z"
  },
  "properties": {
    "title": "2023-01-01",
    "lifecycleStage": "production"
  }
}

定義

名前 説明
ApiVersion

API バージョン エンティティ。

createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

LifecycleStage

API 開発ライフサイクルのステージ

systemData

リソースの作成と最後の変更に関連するメタデータ。

ApiVersion

API バージョン エンティティ。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.lifecycleStage

LifecycleStage

API の現在のライフサイクル ステージ。

properties.title

string

minLength: 1
maxLength: 50

API バージョンのタイトル。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

LifecycleStage

API 開発ライフサイクルのステージ

説明
design

デザイン ステージ

development

開発ステージ

testing

テスト ステージ

preview

プレビュー段階

production

運用環境

deprecated

非推奨のステージ

retired

廃止されたステージ

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。